Get Model API
Retrieves a single Model API.
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"access": {
"accessTokens": [
{
"created": 123,
"createdBy": "<string>",
"id": "<string>",
"lastGenerated": 123,
"lastGeneratedBy": "<string>",
"name": "<string>"
}
],
"isPublic": true
},
"collaborators": [
{
"collaborator": "<string>",
"role": "<string>"
}
],
"description": "<string>",
"environmentId": "<string>",
"healthCheck": {
"failureThreshold": 123,
"initialDelaySeconds": 123,
"periodSeconds": 123,
"timeoutSeconds": 123
},
"id": "<string>",
"isArchived": true,
"isAsync": true,
"metadata": {
"created": 123,
"createdBy": "<string>",
"lastModified": 123
},
"name": "<string>",
"replicas": 123,
"routingMode": "<string>",
"strictNodeAntiAffinity": true,
"volumes": [
{
"mountPath": "<string>",
"name": "<string>",
"readOnly": true,
"volumeType": "<string>"
}
],
"activeVersion": {
"dataPlaneId": "<string>",
"id": "<string>",
"deployment": {
"isPending": true,
"status": "<string>"
},
"number": 123
},
"bundleId": "<string>",
"hardwareTierId": "<string>",
"overrideRequestTimeoutSecs": 123,
"resourceQuotaId": "<string>"
}Authorizations
Path Parameters
The id of the Model API to retrieve.
Response
The Model API with the requested id.
Show child attributes
Show child attributes
The collaborators of the Model API.
Show child attributes
Show child attributes
The description of the Model API.
The id of the environment the Model API is deployed to.
Show child attributes
Show child attributes
The id of the Model API.
Whether the Model API is archived.
Whether the Model API is async.
Show child attributes
Show child attributes
The name of the Model API.
The number of replicas of the Model API.
The routing mode of the Model API.
Whether the Model API has strict node anti affinity.
The volumes of the Model API.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The ID of the bundle governing the model API to create.
^[0-9a-f]{24}$The id of the hardware tier the Model API is deployed with.
The request timeout configuration of the Model API.
The id of the resource quota the Model API is deployed with.
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"access": {
"accessTokens": [
{
"created": 123,
"createdBy": "<string>",
"id": "<string>",
"lastGenerated": 123,
"lastGeneratedBy": "<string>",
"name": "<string>"
}
],
"isPublic": true
},
"collaborators": [
{
"collaborator": "<string>",
"role": "<string>"
}
],
"description": "<string>",
"environmentId": "<string>",
"healthCheck": {
"failureThreshold": 123,
"initialDelaySeconds": 123,
"periodSeconds": 123,
"timeoutSeconds": 123
},
"id": "<string>",
"isArchived": true,
"isAsync": true,
"metadata": {
"created": 123,
"createdBy": "<string>",
"lastModified": 123
},
"name": "<string>",
"replicas": 123,
"routingMode": "<string>",
"strictNodeAntiAffinity": true,
"volumes": [
{
"mountPath": "<string>",
"name": "<string>",
"readOnly": true,
"volumeType": "<string>"
}
],
"activeVersion": {
"dataPlaneId": "<string>",
"id": "<string>",
"deployment": {
"isPending": true,
"status": "<string>"
},
"number": 123
},
"bundleId": "<string>",
"hardwareTierId": "<string>",
"overrideRequestTimeoutSecs": 123,
"resourceQuotaId": "<string>"
}